<?php

/**
* Plugin zum Verwalten von Terminbuchungen auf der Homepage
*
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2008 Jan Kulmann <jankul@zmml.uni-bremen.de>
// ATTENTION: Please send ALL bug reports and security leaks directly to the author.
//            Thx!
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+


page_open(array("sess" => "Seminar_Session", "auth" => "Seminar_Auth", "perm" => "Seminar_Perm", "user" => "Seminar_User"));

$GLOBALS['perm']->check('autor');

//$modus = trim(escapeshellcmd(basename($_REQUEST['modus'])));
$cat_id = escapeshellcmd(basename($_REQUEST['category_id']));
$db = new DB_Seminar();
$db->queryf("SELECT * FROM tv_category WHERE category_id='%s'",$cat_id);
if ($db->next_record()) {

	if ($db->f("user_id") == $GLOBALS['auth']->auth['uid'] || $GLOBALS['perm']->have_perm("root")) {
		ob_start();

		$out = "";
		$db2 = new DB_Seminar();
		$db2->queryf("SELECT t.von, t.bis, t.ort, t.anz_pers, tu.zusatz, a.username, a.Email, a.Vorname, a.Nachname FROM tv_termine t, tv_termine_user tu, auth_user_md5 a WHERE t.category_id='%s' AND tu.termin_id=t.termin_id AND a.user_id=tu.user_id ORDER BY t.von, a.username",$cat_id);
		$out .= "Datum;Zeit von;Zeit bis;Ort;Anzahl Personen;Vorname;Nachname;Email;Username;";
		if ($db->f('zusatz_active')) $out .= $db->f('zusatz_text').";";
		$out .= "\n";
		while ($db2->next_record()) {
			$out .= date('d.m.Y',$db2->f("von")).";";
			$out .= date('H:i',$db2->f("von")).";";
			$out .= date('H:i',$db2->f("bis")).";";
			$out .= $db2->f("ort").";";
			$out .= $db2->f("anz_pers").";";
			$out .= $db2->f("Vorname").";";
			$out .= $db2->f("Nachname").";";
			$out .= $db2->f("Email").";";
			$out .= $db2->f("username").";";
			if ($db->f('zusatz_active')) $out .= $db2->f('zusatz').";";
			$out .= "\n";
		}

		header("Expires: Mon, 12 Dec 2001 08:00:00 GMT");
	        header("Last-Modified: " . gmdate ("D, d M Y H:i:s") . " GMT");
	        if ($_SERVER['HTTPS'] == "on"){
        	        header("Pragma: public");
                	header("Cache-Control: private");
	        } else {
        	        header("Pragma: no-cache");
                	header("Cache-Control: no-store, no-cache, must-revalidate");   // HTTP/1.1
	        }
        	header("Cache-Control: post-check=0, pre-check=0", false);
	        header("Content-Type: text/csv; name=\"termin_export.csv\"");
	        header("Content-Description: File Transfer");
        	header("Content-Transfer-Encoding: binary");
	        header("Accept-Ranges: bytes");
        	header("Content-Length: ".strlen($out));
	        header("Content-Disposition: inline; filename=\"termin_export.csv\"");
	        ob_end_flush();

                echo $out;
	}

        page_close();
        die;
}

?>
